local frame = CreateFrame("FRAME"); -- Need a frame to respond to events
frame:RegisterEvent("PLAYER_LOGIN"); -- Fired when saved variables are loaded
frame:RegisterEvent("PLAYER_LOGOUT"); -- Fired when about to log out

function frame:SaveClockStatus()
	tmp = {};
	tmp["startTime"] = time() - StopwatchTicker.timer;
	tmp["running"] = StopwatchPlayPauseButton.playing;
	tmp["showed"] = StopwatchFrame:IsShown();
	SavedClock = tmp;
	--print("saved");
end

function frame:LoadClockStatus()
	--print(SavedClock["running"]);
	--print(SavedClock["startTime"]);
	--print(SavedClock["showed"]);
	--print(time() - SavedClock["startTime"]);
	if(SavedClock["running"]) then
		StopwatchTicker.timer = time() - SavedClock["startTime"];
		StopwatchTicker_Update();
		Stopwatch_Play();
		if(SavedClock["showed"]) then
			StopwatchFrame:Show();
		end
	end
	--print("loaded");
end

function frame:OnEvent(event, arg1)
--print("gege");
 if event == "PLAYER_LOGIN" then
  --print("hello");
  if SavedClock == nil then
   
  end
  if SavedClock then
   frame:LoadClockStatus();
  end
 elseif event == "PLAYER_LOGOUT" then
	--print("bz");
   frame:SaveClockStatus();
 end
end
frame:SetScript("OnEvent", frame.OnEvent);
